# Token.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Semaphore.h"`
`#include "ace/Condition_Thread_Mutex.h"`
`#include "ace/Token.inl"`

Include dependency graph for Token.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Token
| Class that acquires, renews, and releases a synchronization token that is serviced in strict FIFO/LIFO ordering and that also supports (1) recursion and (2) readers/writer semantics. More...
struct | ACE_Token::ACE_Token_Queue_Entry
struct | ACE_Token::ACE_Token_Queue
class | ACE_Noop_Token

## Defines

#define | ACE_TOKEN_USES_SEMAPHORE

## Detailed Description

Id
  Token.h,v 4.46 2005/10/28 23:55:10 ossama Exp

Author:
  Original author

  Karl-Heinz Dorn (kdorn@erlh.siemens.de)

  Ported to ACE by

  Douglas C. Schmidt (schmidt@cs.wustl.edu)

## Define Documentation

#define ACE_TOKEN_USES_SEMAPHORE